Package it.ernytech.tdlib

## Class TdApi.File

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.File

Enclosing class:
  TdApi

    public static class TdApi.File
    extends TdApi.Object

Represents a file.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `expectedSize` Expected file size in case the exact file size is unknown, but an approximate size is known.
`int` `id` Unique file identifier.
`TdApi.LocalFile` `local` Information about the local copy of the file.
`TdApi.RemoteFile` `remote` Information about the remote copy of the file.
`int` `size` File size; 0 if unknown.

### Constructor Summary

Constructors
`File()` Default constructor.
`File​(int id, int size, int expectedSize, TdApi.LocalFile local, TdApi.RemoteFile remote)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public int id

Unique file identifier.

#### size

    public int size

File size; 0 if unknown.

#### expectedSize

    public int expectedSize

Expected file size in case the exact file size is unknown, but an approximate size is known. Can be used to show download/upload progress.

#### local

    public TdApi.LocalFile local

Information about the local copy of the file.

#### remote

    public TdApi.RemoteFile remote

Information about the remote copy of the file.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### File

    public File()

Default constructor.

#### File

    public File​(int id,
                int size,
                int expectedSize,
                TdApi.LocalFile local,
                TdApi.RemoteFile remote)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique file identifier.
  `size` - File size; 0 if unknown.
  `expectedSize` - Expected file size in case the exact file size is unknown, but an approximate size is known. Can be used to show download/upload progress.
  `local` - Information about the local copy of the file.
  `remote` - Information about the remote copy of the file.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR